Bug 1951571 - registry.svc.ci.openshift.org is no longer valid
Summary: registry.svc.ci.openshift.org is no longer valid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: aos-install
QA Contact: Pedro Amoedo
URL:
Whiteboard:
Depends On: 1954751
Blocks: 1951572
TreeView+ depends on / blocked
 
Reported: 2021-04-20 13:33 UTC by Mark Hamzy
Modified: 2021-05-19 15:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-19 15:16:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4853 0 None open Bug 1951571: registry.svc.ci.openshift.org is no longer valid 2021-04-26 20:09:15 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:16:49 UTC

Description Mark Hamzy 2021-04-20 13:33:47 UTC
registry.svc.ci.openshift.org has been moved to registry.ci.openshift.org. The old
one was on a 3.x cluster and the new one is on a 4.x cluser.  This BZ is for the 4.7 release which is still being tested by the CI.

Comment 2 Mark Hamzy 2021-04-28 18:06:07 UTC
@eparis@redhat.com Why did you remove the target release?  This fix has been approved for the 4.7 branch.

Comment 3 Matthew Staebler 2021-04-28 18:36:49 UTC
(In reply to Mark Hamzy from comment #2)
> @eparis@redhat.com Why did you remove the target release?  This fix has been
> approved for the 4.7 branch.

This is done automatically when the BZ does not have a valid `Depends On`.

Comment 6 Pedro Amoedo 2021-05-05 13:58:19 UTC
[QA Summary]

Comparing between a previous commit "15ddc8e3c97e8ce878c42923e36ce7814ec769fa" and latest commit "3d157f47000c2a9963527ad1dc8c69b77053a4a6" from branch "origin/release:4.7", we can see that old "registry.svc.ci.openshift.org" reference has been properly changed to "registry.ci.openshift.org" as expected:

~~~
$ bin/openshift-install version
bin/openshift-install unreleased-master-4203-g15ddc8e3c97e8ce878c42923e36ce7814ec769fa
built from commit 15ddc8e3c97e8ce878c42923e36ce7814ec769fa
release image registry.svc.ci.openshift.org/origin/release:4.7

$ bin/openshift-install version
bin/openshift-install unreleased-master-4215-g3d157f47000c2a9963527ad1dc8c69b77053a4a6
built from commit 3d157f47000c2a9963527ad1dc8c69b77053a4a6
release image registry.ci.openshift.org/origin/release:4.7
~~~

Best Regards.

Comment 7 Siddharth Sharma 2021-05-10 17:59:16 UTC
This bug will be shipped as part of next z-stream release 4.7.11 on May 19th, as 4.7.10 was dropped due to a blocker https://bugzilla.redhat.com/show_bug.cgi?id=1958518.

Comment 11 errata-xmlrpc 2021-05-19 15:16:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.